csa_logoff(library call)

NAME
csa_logoff — terminate a session with a calendar

SYNOPSIS

#include &<xcsa.h>
CSA_return_code csa_logoff(
CSA_session_handle session,
CSA_extension *logoff_extensions);

DESCRIPTION

The csa_logoff function allows the calling application to terminate a session with a calendar.

ARGUMENTS

  Session (Session Handle)

Opaque session handle that represents a session with the calendaring service.

It becomes invalid as a result of this call. If the session handle is invalid, then the error CSA_E_INVALID_SESSION_HANDLE is returned.

  Logoff Extensions (Extension)

A pointer to an array of CSA_extension structures for this function. The array may contain both input extensions for providing additional information to the function and output extensions for receiving information from the function. A value of NULL indicates that the caller is not using any extensions. See the extensions structure for more information.

RETURN VALUE

  Logoff Extensions (Extension)

If output extensions were passed to the function in the extensions list, the results from the service will be available in the extension. See the extensions structure for more information. Whether the function succeeded or not, and, if not, why. It may be success or one of the values listed under ERRORS below.

ERRORS

The csa_logoff function returns the following error values:

CSA_E_FAILURE
    There was a general failure that does not fit the description of any other error code.

CSA_E_INSUFFICIENT_MEMORY
    Insufficient memory was available to complete the requested operation.

CSA_E_INVALID_FLAG
    A flag value in the flags argument was invalid.

CSA_E_INVALID_FUNCTION_EXT
    The function extension requested is invalid.

CSA_E_INVALID_SESSION_HANDLE
    The specified Session Handle is invalid or no longer valid (e.g., after logging off).

CSA_E_UNSUPPORTED_FLAG
    The flag requested is not supported.

CSA_E_UNSUPPORTED_FUNCTION_EXT
    The specified function extension is not supported or CSA_EXT_REQUIRED is set.

SEE ALSO

csa/csa.h - csacsa(5), csa_add_calendar(3), csa_add_entry(3), csa_call_callbacks(3), csa_delete_calendar(3), csa_delete_entry(3), csa_free(3), csa_free_time_search(3), csa_list_calendar_attributes(3), csa_list_calendars(3), csa_list_entries(3), csa_list_entry_attributes(3), csa_list_entry_sequence(3), csa_logon(3), csa_look_up(3), csa_query_configuration(3), csa_read_calendar_attributes(3), csa_read_entry_attributes(3), csa_read_next_reminder(3), csa_register_callback(3), csa_unregister_callback(3), csa_update_calendar_attributes(3), csa_update_entry_attributes(3).